<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/tipo_soporte_tecnico.php';
$response = array();

if (!isset($_POST['activo'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$activo = ($_POST['activo']) ? 1 : 0;

$tipos_soporte_tecnico = TipoSoporteTecnico::mdlGetTiposSoporteTecnico($activo);

if (!$tipos_soporte_tecnico) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron tipos de soporte técnico';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $tipos_soporte_tecnico;

echo json_encode($response);